unit fAuto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TAutoReceiveForm = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    BitBtn2: TBitBtn;
    Splitter1: TSplitter;
    Memo2: TMemo;
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    procedure AutoReceive(Sender: TObject; var Done: Boolean);
  public
    { Public declarations }
  end;

var
  AutoReceiveForm: TAutoReceiveForm;

implementation

uses fMain;

{$R *.DFM}

procedure TAutoReceiveForm.BitBtn2Click(Sender: TObject);
begin
  Memo1.Clear;
  Memo2.Clear;
end;

procedure TAutoReceiveForm.FormShow(Sender: TObject);
begin
  MainForm.ShowReceiveError := False;
  Application.OnIdle := AutoReceive;
end;

procedure TAutoReceiveForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Application.OnIdle := nil;
  MainForm.ShowReceiveError := True;
end;

procedure TAutoReceiveForm.AutoReceive(Sender: TObject; var Done: Boolean);
var
  Str: string;
begin
  if MainForm.ReceivePacket(Str) then
  begin
    Memo1.Lines.BeginUpdate;
    Memo1.Text := Memo1.Text + ToFilteredString2(Str);
    Memo1.Lines.EndUpdate;

    Memo2.Lines.BeginUpdate;
    Memo2.Text := Memo2.Text + HexToStr2(Str);
    Memo2.Lines.EndUpdate;

    Memo1.Invalidate;
    Memo2.Invalidate;
  end;
  Done := False;
end;

end.
