unit fDefine;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, IniFiles;

type
  TDefinovaniFunkciForm = class(TForm)
    ComboBox1: TComboBox;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    EditButton: TButton;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    Edit2: TEdit;
    procedure FormShow(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure EditButtonClick(Sender: TObject);
  private
    procedure PrectiFunkci(Cislo: Integer);
  public
    { Public declarations }
  end;

var
  DefinovaniFunkciForm: TDefinovaniFunkciForm;

implementation

{$R *.DFM}

uses fDefine2, fMain;

procedure TDefinovaniFunkciForm.FormShow(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
  ComboBox1Change(ComboBox1);
end;

procedure TDefinovaniFunkciForm.ComboBox1Change(Sender: TObject);
begin
  PrectiFunkci(StrToInt(ComboBox1.Text));
end;

procedure TDefinovaniFunkciForm.PrectiFunkci(Cislo: Integer);
begin
  Edit1.Text := ToFilteredString(MainForm.Functions[Cislo]);
  Edit2.Text := HexToStr(MainForm.Functions[Cislo]);
end;

procedure TDefinovaniFunkciForm.EditButtonClick(Sender: TObject);
begin
  EditaceFunkceForm.edtTransmitString.Text := Edit1.Text;
  EditaceFunkceForm.edtTransmitHex.Text := Edit2.Text;
  EditaceFunkceForm.Caption := 'Editing function no. ' + ComboBox1.Text;
  if EditaceFunkceForm.ShowModal = mrOk then
  begin
    MainForm.Functions[StrToInt(ComboBox1.Text)] :=
          FromFilteredString(EditaceFunkceForm.edtTransmitString.Text);
    ComboBox1Change(ComboBox1);
  end;
end;

end.
